Subject: Re: [PATCH net-next] igc: Lift TAPRIO schedule restriction

From: Kurt Kanzenbach <[email-masked]>
Date: Wed, 08 Jun 2022 08:00:37 +0200

>>> What I have in mind is a schedule that queue 0 is mentioned multiple
>>> times, for example:
>>>
>>>  |   sched-entry S 0x01 300000 \ # Stream High/Low
>>>  |   sched-entry S 0x03 500000 \ # Management and Best Effort
>>>  |   sched-entry S 0x05 200000 \ # Best Effort
>>>
>>
>> So, this schedule works with the proposed patch. Queue 0 is opened in
>> all three entries. My debug code shows:
>>
>> |tc-6145    [010] .......   616.190589: igc_setup_tc: Qbv configuration:
>> |tc-6145    [010] .......   616.190592: igc_setup_tc: Queue 0 -- start_time=0 [ns]
>> |tc-6145    [010] .......   616.190592: igc_setup_tc: Queue 0 -- end_time=1000000 [ns]
>> |tc-6145    [010] .......   616.190593: igc_setup_tc: Queue 1 -- start_time=300000 [ns]
>> |tc-6145    [010] .......   616.190593: igc_setup_tc: Queue 1 -- end_time=800000 [ns]
>> |tc-6145    [010] .......   616.190593: igc_setup_tc: Queue 2 -- start_time=800000 [ns]
>> |tc-6145    [010] .......   616.190594: igc_setup_tc: Queue 2 -- end_time=1000000 [ns]
>> |tc-6145    [010] .......   616.190594: igc_setup_tc: Queue 3 -- start_time=800000 [ns]
>> |tc-6145    [010] .......   616.190594: igc_setup_tc: Queue 3 -- end_time=1000000 [ns]
>>
>> Anyway, I'd appreciate some testing on your side too :).
>
> Sure, I can give it a spin, but it'll have to be later in the week, kind
> of swamped right now.

No problem. Actually i'm out of office for the next two weeks. I'll
update the patch afterwards if required.

Thanks,
Kurt